Subject: bug#79241: [PATCH v3] Fix incorrect handling of overlays in `vertical-motion'

From: Sergio Pastor Pérez <[email-masked]>
Date: Mon, 01 Sep 2025 18:21:06 +0200

Eli Zaretskii <[email-masked]> writes:
>> Cc: Sergio Pastor Pérez <[email-masked]>
>> From: Sergio Pastor Pérez <[email-masked]>
>> Date: Sun, 24 Aug 2025 20:27:06 +0200
>> 
>> * src/indent.c (vertical-motion): If point is inside an overlay, reset
>> it to the beginning of line before trying to reach goal column. This
>> prevents point from being stuck at the beginning of overlay strings
>> during upward motions.
>
> Thanks, installed on the master branch.
>
> This was a very small change, so we could accept it without your
> assigning the copyright to the FSF.  However, if you intend to
> contribute more changes, I would suggest to start your
> copyright-assignment paperwork at this time, so that we could in the
> future accept your contributions without any size limitations.
>
> If you agree, I will send you the form to fill and the instructions to
> go with it.

Sure forward me the form. I will give a hand if I find anything I can
contribute to.

Thanks,
Sergio